Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 12-12-09, 12:04 PM   #1
Ingo Krabbe
Registered User
 
Join Date: Jul 2003
Location: Dortmund, Germany
Posts: 3
Default Compile against newest kernels

Hi,

today I chose to compile a 2.6.32 from linux-next.git (see kernel.org).

It seems that they changed some files, just to announce you:

linux/autoconf.h is now in generated/autoconf.h

After fixing a problem in nv_acpi.h, as one argument was missing, the 195.22 kernel builds (with some warnings now, but its working).

If you would put the sources into a SCM too, I would try to patch your development tree too. Maybe I will put the latest stuff into a git repo next days...
Ingo Krabbe is offline   Reply With Quote
Old 12-12-09, 05:26 PM   #2
wa1ter
Registered User
 
Join Date: Jul 2008
Posts: 7
Default Re: Compile against newest kernels

Hi Ingo,

I just had the same problem with Linus's git kernel, so I added an extra NULL argument to acpi_walk_namespace(). It compiles okay but when I run glxgears I get this error:

Xlib: extension "GLX" missing on display ":0.0".
Error: couldn't get an RGB, Double-buffered visual

What was your fix, and can you run glxgears?

Thanks!
wa1ter is offline   Reply With Quote
Old 12-12-09, 09:12 PM   #3
Ingo Krabbe
Registered User
 
Join Date: Jul 2003
Location: Dortmund, Germany
Posts: 3
Default Re: Compile against newest kernels

Quote:
Originally Posted by wa1ter View Post
Xlib: extension "GLX" missing on display ":0.0".
Error: couldn't get an RGB, Double-buffered visual
No, sorry, this error message is typical, while loading the X11 glx extension.
Check your Xorg.?.log.

Quote:
What was your fix, and can you run glxgears?
You have to install the whole NVIDIA package with up to date GLX libraries.
I did it by executing the nvidia-installer in -e (expert mode). It was quite simple.
I tried glxgears and eve-online. Both worked fine.
Ingo Krabbe is offline   Reply With Quote
Old 12-13-09, 11:45 AM   #4
wa1ter
Registered User
 
Join Date: Jul 2008
Posts: 7
Default Re: Compile against newest kernels

Hm. Today glxgears is working normally. No idea why it didn't work yesterday.
wa1ter is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 08:42 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.